## apertium-es-pt 0.9

=== Makefile ===
VERSION=0.8.1
LANG1=es
LANG2=pt
PREFIX1=$(LANG1)-$(LANG2)
PREFIX2=$(LANG2)-$(LANG1)
TAGGER1=$(LANG1)-tagger-data
TAGGER2=$(LANG2)-tagger-data

TAGGER_UNSUPERVISED_ITERATIONS=8

#Do not modify this, if you do that make sure *.crp.txt files exist
TAGGER_SUPERVISED_ITERATIONS=0

BASENAME=apertium-$(PREFIX1)

TARGETS_COMMON = $(PREFIX1).automorf.bin $(PREFIX1).autobil.bin $(PREFIX1).autogen.bin \
     $(PREFIX1).autopgen.bin $(PREFIX2).automorf.bin $(PREFIX2).autobil.bin \
     $(PREFIX2).autogen.bin $(PREFIX2).autopgen.bin

TARGETS = $(TARGETS_COMMON) trules-$(PREFIX1).bin trules-$(PREFIX2).bin \
          trules-$(PREFIX1).xml trules-$(PREFIX2).xml

TARGETS_OLD = $(TARGETS_COMMON) $(PREFIX1).transfer $(PREFIX1).tagger \
              $(PREFIX2).transfer $(PREFIX2).tagger 

TARGETS_TAGGER_UNSUP=$(TAGGER1)/$(LANG1).dic \
                     $(TAGGER2)/$(LANG2).dic \
                     $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp

TARGETS_TAGGER_SUP= $(TAGGER1)/$(LANG1).dic \
                   $(TAGGER1)/$(LANG1).tagged \
                   $(TAGGER1)/$(LANG1).untagged \
                   $(TAGGER2)/$(LANG2).dic \
                   $(TAGGER2)/$(LANG2).tagged \
                   $(TAGGER2)/$(LANG2).untagged

TARGETS_TAGGER_COMMON = $(PREFIX1).prob $(PREFIX2).prob 

DISTFILES = $(BASENAME).$(LANG1).dix $(BASENAME).$(LANG2).dix \
	    $(BASENAME).$(PREFIX1).dix $(BASENAME).post-$(LANG1).dix \
	    $(BASENAME).post-$(LANG2).dix $(BASENAME).$(LANG1).tsx \
	    $(BASENAME).$(LANG2).tsx $(BASENAME).trules-$(PREFIX1).xml \
	    $(BASENAME).trules-$(PREFIX2).xml Makefile \
	    README COPYING #\
	    #$(PREFIX1).prob $(PREFIX2).prob
	    
DISTCOMP = $(PREFIX1).automorf.bin $(PREFIX2).automorf.bin \
           $(PREFIX1).autobil.bin $(PREFIX2).autobil.bin \
           $(PREFIX1).autogen.bin $(PREFIX2).autogen.bin \
           $(PREFIX1).autopgen.bin $(PREFIX2).autopgen.bin \
           trules-$(PREFIX1).xml trules-$(PREFIX2).xml \
           trules-$(PREFIX1).bin trules-$(PREFIX2).bin \
           $(PREFIX1).prob $(PREFIX2).prob

all: $(TARGETS)
	@rm -f .old 

old: $(TARGETS_OLD)
	@touch .old

tagger_train: tagger_supervised

tagger_supervised: .tagger_supervised $(TARGETS_TAGGER_SUP) $(TARGETS_TAGGER_COMMON)

.tagger_supervised:
	@if [[ -e .tagger_unsupervised ]]; \
	then rm -f $(TARGETS_TAGGER_COMMON) .tagger_unsupervised; \
	rm -f $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp; \
	fi;
	@touch .tagger_supervised

tagger_unsupervised: .tagger_unsupervised $(TARGETS_TAGGER_UNSUP) $(TARGETS_TAGGER_COMMON)

.tagger_unsupervised:
	@if [[ -e .tagger_supervised ]];\
	then rm -f $(TARGETS_TAGGER_COMMON) .tagger_supervised; \
	rm -f $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp; \
	fi;
	@touch .tagger_unsupervised

clean: 
	rm -f $(TARGETS) $(PREFIX1).tagger $(PREFIX1).transfer \
	                 $(PREFIX2).tagger $(PREFIX2).transfer

tagger_clean:
	rm -f $(PREFIX1).amb $(PREFIX1).prob \
	      $(PREFIX2).amb $(PREFIX2).prob \
	      $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp \
	      $(TAGGER1)/$(LANG1).dic $(TAGGER2)/$(LANG2).dic \
	      $(TAGGER1)/$(LANG1).untagged $(TAGGER2)/$(LANG2).untagged 

$(PREFIX1).automorf.bin: $(BASENAME).$(LANG1).dix
	apertium-validate-dictionary $(BASENAME).$(LANG1).dix
	lt-comp lr $(BASENAME).$(LANG1).dix $@

$(PREFIX1).autobil.bin: $(BASENAME).$(PREFIX1).dix
	apertium-validate-dictionary $(BASENAME).$(PREFIX1).dix
	lt-comp lr $(BASENAME).$(PREFIX1).dix $@

$(PREFIX1).autogen.bin: $(BASENAME).$(LANG2).dix
	apertium-validate-dictionary $(BASENAME).$(LANG2).dix
	lt-comp rl $(BASENAME).$(LANG2).dix $@

$(PREFIX1).autopgen.bin: $(BASENAME).post-$(LANG2).dix
	#apertium-validate-dictionary $(BASENAME).post-$(LANG2).dix
	lt-comp lr $(BASENAME).post-$(LANG2).dix $@

$(PREFIX2).automorf.bin: $(BASENAME).$(LANG2).dix
	apertium-validate-dictionary $(BASENAME).$(LANG2).dix
	lt-comp lr $(BASENAME).$(LANG2).dix $@

$(PREFIX2).autobil.bin: $(BASENAME).$(PREFIX1).dix
	apertium-validate-dictionary $(BASENAME).$(PREFIX1).dix
	lt-comp rl $(BASENAME).$(PREFIX1).dix $@

$(PREFIX2).autogen.bin: $(BASENAME).$(LANG1).dix
	apertium-validate-dictionary $(BASENAME).$(LANG1).dix
	lt-comp rl $(BASENAME).$(LANG1).dix $@

$(PREFIX2).autopgen.bin: $(BASENAME).post-$(LANG1).dix
	#apertium-validate-dictionary $(BASENAME).post-$(LANG1).dix
	lt-comp lr $(BASENAME).post-$(LANG1).dix $@

trules-$(PREFIX1).bin: $(BASENAME).trules-$(PREFIX1).xml
	apertium-validate-transfer $(BASENAME).trules-$(PREFIX1).xml
	apertium-preprocess-transfer $(BASENAME).trules-$(PREFIX1).xml \
	                             trules-$(PREFIX1).bin
	                             
trules-$(PREFIX2).bin: $(BASENAME).trules-$(PREFIX2).xml
	apertium-validate-transfer $(BASENAME).trules-$(PREFIX2).xml
	apertium-preprocess-transfer $(BASENAME).trules-$(PREFIX2).xml \
	                             trules-$(PREFIX2).bin

trules-$(PREFIX1).xml: $(BASENAME).trules-$(PREFIX1).xml
	ln -s $(BASENAME).trules-$(PREFIX1).xml trules-$(PREFIX1).xml

trules-$(PREFIX2).xml: $(BASENAME).trules-$(PREFIX2).xml
	ln -s $(BASENAME).trules-$(PREFIX2).xml trules-$(PREFIX2).xml


$(PREFIX1).tagger: $(BASENAME).$(LANG1).tsx
	apertium-gen-tagger -O $(BASENAME).$(LANG1).tsx $@

$(PREFIX2).tagger: $(BASENAME).$(LANG2).tsx
	apertium-gen-tagger -O $(BASENAME).$(LANG2).tsx $@

$(PREFIX1).transfer: $(BASENAME).trules-$(PREFIX1).xml
	apertium-gen-transfer -O $(BASENAME).trules-$(PREFIX1).xml $@

$(PREFIX2).transfer: $(BASENAME).trules-$(PREFIX2).xml
	apertium-gen-transfer -O $(BASENAME).trules-$(PREFIX2).xml $@

$(TAGGER1)/$(LANG1).dic: $(BASENAME).$(LANG1).dix $(PREFIX1).automorf.bin
	@echo "Generating $@";
	@echo "This may take some time. Please, take a cup of coffee and come back later.";
	apertium-validate-dictionary $(BASENAME).$(LANG1).dix
	apertium-validate-tagger $(BASENAME).$(LANG1).tsx
	lt-expand $(BASENAME).$(LANG1).dix | grep -v "__REGEXP__" | grep -v ":<:" |\
	gawk 'BEGIN{FS=":>:|:"}{print $$1;}' | apertium-destxt >$(LANG1).dic.expanded
	@echo "." >>$(LANG1).dic.expanded
	@echo "?" >>$(LANG1).dic.expanded
	@echo ";" >>$(LANG1).dic.expanded
	@echo ":" >>$(LANG1).dic.expanded
	@echo "!" >>$(LANG1).dic.expanded
	@echo "42" >>$(LANG1).dic.expanded
	@echo "," >>$(LANG1).dic.expanded
	@echo "(" >>$(LANG1).dic.expanded
	@echo "\\[" >>$(LANG1).dic.expanded
	@echo ")" >>$(LANG1).dic.expanded
	@echo "\\]" >>$(LANG1).dic.expanded
	@echo "" >>$(LANG1).dic.expanded
	@echo "" >>$(LANG1).dic.expanded
	lt-proc -a $(PREFIX1).automorf.bin <$(LANG1).dic.expanded | \
	apertium-filter-ambiguity $(BASENAME).$(LANG1).tsx > $@
	rm $(LANG1).dic.expanded;

$(TAGGER2)/$(LANG2).dic: $(BASENAME).$(LANG2).dix $(PREFIX2).automorf.bin
	@echo "Generating $@";
	@echo "This may take some time. Please, take a cup of coffee and come back later.";
	apertium-validate-dictionary $(BASENAME).$(LANG2).dix
	apertium-validate-tagger $(BASENAME).$(LANG2).tsx
	lt-expand $(BASENAME).$(LANG2).dix | grep -v "__REGEXP__" | grep -v ":<:" |\
	gawk 'BEGIN{FS=":>:|:"}{print $$1;}' | apertium-destxt >$(LANG2).dic.expanded
	@echo "." >>$(LANG2).dic.expanded
	@echo "?" >>$(LANG2).dic.expanded
	@echo ";" >>$(LANG2).dic.expanded
	@echo ":" >>$(LANG2).dic.expanded
	@echo "!" >>$(LANG2).dic.expanded
	@echo "42" >>$(LANG2).dic.expanded
	@echo "," >>$(LANG2).dic.expanded
	@echo "(" >>$(LANG2).dic.expanded
	@echo "\\[" >>$(LANG2).dic.expanded
	@echo ")" >>$(LANG2).dic.expanded
	@echo "\\]" >>$(LANG2).dic.expanded
	@echo "" >>$(LANG2).dic.expanded
	@echo "" >>$(LANG2).dic.expanded
	lt-proc -a $(PREFIX2).automorf.bin <$(LANG2).dic.expanded | \
	apertium-filter-ambiguity $(BASENAME).$(LANG2).tsx > $@
	rm $(LANG2).dic.expanded;
	
$(TAGGER1)/$(LANG1).crp.txt:
	@if [ -e .tagger_unsupervised ]; \
	then echo "Error: File '"$(TAGGER1)/$(LANG1).crp"' is needed to perform an unsupervised tagger training" 1>&2; \
	echo "In order to generate the file '"$(TAGGER1)/$(LANG1).crp"' the file '"$(TAGGER1)/$(LANG1).crp.txt"' must exist" 1>&2; \
	echo "Please provide a large raw txt corpus with at least 200000 words." 1>&2; \
	exit 1; \
	else touch $@; \
	fi
	

$(TAGGER2)/$(LANG2).crp.txt:
	@if [ -e .tagger_unsupervised ]; \
	then echo "Error: File '"$(TAGGER2)/$(LANG2).crp"' is needed to perform an unsupervised tagger training" 1>&2; \
	echo "In order to generate the file '"$(TAGGER2)/$(LANG2).crp"' the file '"$(TAGGER2)/$(LANG2).crp.txt"' must exist" 1>&2; \
	echo "Please provide a large raw txt corpus with at least 200000 words." 1>&2; \
	exit 1; \
	else touch $@; \
	fi

$(TAGGER1)/$(LANG1).tagged:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 1>&2; \
	echo "This file should exist. It is the result of solving the ambiguity from the '"$(TAGGER1)/$(LANG1).tagged.txt"' file" 1>&2; \
	exit 1; \
	else touch $@; \
	fi;

$(TAGGER2)/$(LANG2).tagged:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 2>&2; \
	echo "This file should exist. It is the result of solving the ambiguity from the '"$(TAGGER2)/$(LANG2).tagged.txt"' file" 1>&2; \
	exit 1; \
	else touch $@; \
	fi;

$(TAGGER1)/$(LANG1).tagged.txt:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 1>&2; \
	echo "In order to generate the file '"$(TAGGER1)/$(LANG1).untagged"' the file '"$@"' must exist" 1>&2; \
	exit 1; \
	else touch $@; \
	fi;

$(TAGGER2)/$(LANG2).tagged.txt:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 2>&2; \
	echo "In order to generate the file '"$(TAGGER2)/$(LANG2).untagged"' the file '"$@"' must exist" 2>&2; \
	exit 1; \
	else touch $@; \
	fi;
	
$(TAGGER1)/$(LANG1).untagged: $(TAGGER1)/$(LANG1).tagged.txt $(PREFIX1).automorf.bin
	cat $(TAGGER1)/$(LANG1).tagged.txt | apertium-destxt | lt-proc $(PREFIX1).automorf.bin  > $@; 

$(TAGGER2)/$(LANG2).untagged: $(TAGGER2)/$(LANG2).tagged.txt $(PREFIX2).automorf.bin
	cat $(TAGGER2)/$(LANG2).tagged.txt | apertium-destxt | lt-proc $(PREFIX2).automorf.bin  > $@

$(PREFIX1).prob: $(BASENAME).$(LANG1).tsx $(TAGGER1)/$(LANG1).dic $(TAGGER1)/$(LANG1).untagged $(TAGGER1)/$(LANG1).tagged $(TAGGER1)/$(LANG1).crp
	@echo "Generating $@";
	@echo "This may take some time...";
	apertium-validate-tagger $(BASENAME).$(LANG1).tsx;
	if [ -e .old ]; \
	then make $(PREFIX1).tagger; \
	     if [ -e .tagger_unsupervised ]; \
	     then ./$(PREFIX1).tagger --train $(TAGGER_UNSUPERVISED_ITERATIONS)  $(TAGGER1)/$(LANG1); \
	     else ./$(PREFIX1).tagger --train $(TAGGER_SUPERVISED_ITERATIONS) --supervised $(TAGGER1)/$(LANG1);\
	     fi; \
	     mv $(TAGGER1)/$(LANG1).prob ./$(PREFIX1).prob; \
    	     mv $(TAGGER1)/$(LANG1).amb ./$(PREFIX1).amb; \
    	fi; \
        if [ ! -e .old ]; \
          then if [ -e .tagger_unsupervised ]; \
             then apertium-tagger -t $(TAGGER_UNSUPERVISED_ITERATIONS) \
                                     $(TAGGER1)/$(LANG1).dic \
                                     $(TAGGER1)/$(LANG1).crp \
                                     $(BASENAME).$(LANG1).tsx \
                                     $(PREFIX1).prob; \
             else apertium-tagger -s $(TAGGER_SUPERVISED_ITERATIONS) $(TAGGER1)/$(LANG1).dic \
                                  $(TAGGER1)/$(LANG1).dic \
                                  $(BASENAME).$(LANG1).tsx \
                                  $(PREFIX1).prob \
                                  $(TAGGER1)/$(LANG1).tagged \
                                  $(TAGGER1)/$(LANG1).untagged; \
             fi; \
         fi;

$(PREFIX2).prob: $(BASENAME).$(LANG2).tsx $(TAGGER2)/$(LANG2).dic  $(TAGGER2)/$(LANG2).untagged $(TAGGER2)/$(LANG2).tagged $(TAGGER2)/$(LANG2).crp
	@echo "Generating $@";
	@echo "This may take some time...";
	apertium-validate-tagger $(BASENAME).$(LANG2).tsx
	if [ -e .old ]; \
	then make $(PREFIX2).tagger; \
	     if [ -e .tagger_unsupervised ]; \

## apertium-es-pt 1.1.5+svn~57507

=== debian/changelog ===
apertium-es-pt (1.1.5+svn~57507-5) unstable; urgency=medium

  * Added patch to fix FTBFS with apertium 3.6.1 (Closes: #950375)
  * Added debian/gitlab-ci.yml file.
  * debian/control:
    + Switch to debhelper-compat.
    + Updated Standards-Version to 4.5.0
    + Added Rules-Requires-Root: no field.

 -- Kartik Mistry <kartik@debian.org>  Mon, 16 Mar 2020 12:45:12 +0530

apertium-es-pt (1.1.5+svn~57507-4) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.1.4
    + Updated Vcs-* URLs.
    + Updated Homepage.
    + Updated Depends.
  * Updated debian/watch.
  * Updated debian/copyright.
  * Bumped to dh 11.

 -- Kartik Mistry <kartik@debian.org>  Wed, 04 Jul 2018 12:04:57 +0530

apertium-es-pt (1.1.5+svn~57507-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.9.8
    + Removed Build-Depends on locales.
    + Bumped to debhelper 9.
    + Updated Vcs-* fields.
  * Simplify debian/rules file.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sat, 09 Jul 2016 21:59:44 +0530

apertium-es-pt (1.1.5+svn~57507-2) unstable; urgency=low

  * Uploaded to unstable.
  * Fixed upstream:
    + Unknown error matching regexp (code -28) (Closes: #747917)

 -- Kartik Mistry <kartik@debian.org>  Thu, 30 Jul 2015 11:27:17 +0530

apertium-es-pt (1.1.5+svn~57507-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release based on SVN snapshot.

  [ Kartik Mistry ]
  * Added debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Oct 2014 18:14:06 +0530

apertium-es-pt (1.0.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against apertium 3.1: fix build dependency and configure.ac
    accordingly; re-run autoconf. (Closes: #527789)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 15 Sep 2009 16:22:51 +0200

apertium-es-pt (1.0.3-2) unstable; urgency=low

  * Fixed Build-Depends (Closes: #446594)

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 22 Oct 2007 16:27:44 +0100

apertium-es-pt (1.0.3-1) unstable; urgency=low

  * Depends on apertium 3.0, build system now autoconf

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 08 Oct 2007 08:30:42 +0100

apertium-es-pt (0.9-1) unstable; urgency=low

  * Initial release (Closes: #388151)

 -- Francis Tyers <f.tyers@uea.ac.uk>  Mon, 18 Sep 2006 21:42:00 +0100

=== debian/control ===
Source: apertium-es-pt
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.6),
               debhelper-compat (= 12),
               gawk,
               pkg-config (>= 0.21)
Standards-Version: 4.5.0
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-es-pt.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-es-pt
Rules-Requires-Root: no

Package: apertium-es-pt
Architecture: all
Depends: apertium (>= 3.6), ${misc:Depends}
Provides: apertium-pt-es
Conflicts: apertium-pt-es
Description: Apertium translation data for the Spanish-Portuguese pair
 Data package providing Apertium language resources for translating
 between the Spanish and Portuguese languages.

=== debian/watch ===
version=3
http://sf.net/apertium/apertium-es-pt-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## apertium-es-pt 1.1.6

=== debian/changelog ===
apertium-es-pt (1.1.6-1) unstable; urgency=low

  * New upstream release:
    + Removed applied patches.
  * Updated debian/watch.
  * Updated Standards-Version to 4.6.1
  * Updated debian/copyright.
  * Added debian/upstream/metadata file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 30 Jun 2022 18:44:33 +0530

apertium-es-pt (1.1.5+svn~57507-6) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS (Closes: #1005656)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Add a simple autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Sun, 13 Mar 2022 00:43:03 +0530

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: apertium-dev (>= 3.6),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                gawk,
                pkg-config (>= 0.21)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-es-pt.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-es-pt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

%:
	dh $@ --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/apertium/apertium-es-pt/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
